Skip to content

Update a report template

PATCH
/api/v1/reports/templates/{template_id}

Update allowed fields on a report template. Rejects attempts to change tenant_id, id, or created_by_user_id.

Authorizations

Parameters

Path Parameters

template_id
required
string

Request Body required

Schema for updating an existing report template.

All fields are optional; only provided fields are updated.

object
delivery_email
Any of:
string
description
Any of:
string
filters
Any of:
object
key
additional properties
any
groupings
Any of:
Array<string>
metric_ids
Any of:
Array<string>
name
Any of:
string
<= 120 characters
output_format
Any of:
string
schedule
Any of:
string
shared_with_tenant
Any of:
boolean

Responses

200

Successful Response

object
key
additional properties
any

422

Validation Error

object
detail
Array<object>
object
ctx
object
input
loc
required
Array
msg
required
string
type
required
string